<?php

/**
 * Related Post Options
 *
 * @package florist_bouquet
 */

$wp_customize->add_section(
	'florist_bouquet_related_post_options',
	array(
		'title' => esc_html__( 'Related Post Options', 'florist-bouquet' ),
		'panel' => 'florist_bouquet_theme_options',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'florist_bouquet_related_post_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Florist_Bouquet_Separator_Custom_Control( $wp_customize, 'florist_bouquet_related_post_separator', array(
	'label' => __( 'Enable / Disable Related Post Section', 'florist-bouquet' ),
	'section' => 'florist_bouquet_related_post_options',
	'settings' => 'florist_bouquet_related_post_separator',
) ) );


// Post Options - Hide Related Posts.
$wp_customize->add_setting(
	'florist_bouquet_post_hide_related_posts',
	array(
		'default'           => true,
		'sanitize_callback' => 'florist_bouquet_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Florist_Bouquet_Toggle_Switch_Custom_Control(
		$wp_customize,
		'florist_bouquet_post_hide_related_posts',
		array(
			'label'   => esc_html__( 'Show / Hide Related Posts', 'florist-bouquet' ),
			'section' => 'florist_bouquet_related_post_options',
		)
	)
);

// Register setting for number of related posts
$wp_customize->add_setting(
	'florist_bouquet_related_posts_count',
	array(
		'default'           => 3,
		'sanitize_callback' => 'absint', // Ensure it's an integer
	)
);

// Add control for number of related posts
$wp_customize->add_control(
	'florist_bouquet_related_posts_count',
	array(
		'type'        => 'number',
		'label'       => esc_html__( 'Number of Related Posts to Display', 'florist-bouquet' ),
		'section'     => 'florist_bouquet_related_post_options',
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 5, // Adjust maximum based on your preference
			'step' => 1,
		),
	)
);

// Post Options - Related Post Label.
$wp_customize->add_setting(
	'florist_bouquet_post_related_post_label',
	array(
		'default'           => 'Related Posts',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'florist_bouquet_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Heading', 'florist-bouquet' ),
		'section'  => 'florist_bouquet_related_post_options',
		'settings' => 'florist_bouquet_post_related_post_label',
		'type'     => 'text',
	)
);